<?php
/**
 *
 * Front Page
 *
 * @package NewsWrap
 */

get_header();


    $newswrap_default = newswrap_get_default_theme_options();
    $newswrap_default = newswrap_get_default_theme_options();
    $sidebar = esc_attr( get_theme_mod( 'global_sidebar_layout', $newswrap_default['global_sidebar_layout'] ) );
    

    if( is_single() || is_page() ){

        $newswrap_post_sidebar = esc_attr( get_post_meta( $post->ID, 'newswrap_post_sidebar_option', true ) );
        if( $newswrap_post_sidebar == 'global-sidebar' || empty( $newswrap_post_sidebar ) ){

            $sidebar = $sidebar;
        }else{
            $sidebar = $newswrap_post_sidebar;
        }

    }
    $twp_newswrap_home_sections_1 = get_theme_mod( 'twp_newswrap_home_sections_1', json_encode( $newswrap_default['twp_newswrap_home_sections_1'] ) );
    $repeat_times = 1;
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_newswrap_home_sections_1 = json_decode( $twp_newswrap_home_sections_1 );

    if( $twp_newswrap_home_sections_1 ){ ?>

        <?php
        foreach ( $twp_newswrap_home_sections_1 as $newswrap_home_section ) {

            $home_section_type = isset( $newswrap_home_section->home_section_type ) ? $newswrap_home_section->home_section_type : '';

            switch ($home_section_type) {

                case 'banner-video-block':

                    $ed_slider_blocks = isset( $newswrap_home_section->section_ed ) ? $newswrap_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        newswrap_banner_video_block( $newswrap_home_section , $repeat_times);
                    }

                break;

                case 'main-banner':

                    $ed_slider_blocks = isset( $newswrap_home_section->section_ed ) ? $newswrap_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        newswrap_main_banner( $newswrap_home_section , $repeat_times);
                    }

                break;

                case 'latest-posts-blocks':

                    $ed_latest_posts_blocks = isset( $newswrap_home_section->section_ed ) ? $newswrap_home_section->section_ed : '';
                    if ( $ed_latest_posts_blocks == 'yes' ) {
                        newswrap_latest_blocks( $newswrap_home_section  , $repeat_times);
                    }

                break;

                case 'tiles-blocks':

                    $ed_tiles_block = isset( $newswrap_home_section->section_ed ) ? $newswrap_home_section->section_ed : '';
                    if ( $ed_tiles_block == 'yes' && $paged_active ) {
                        newswrap_tiles_block_section( $newswrap_home_section , $repeat_times);
                    }

                break;

                case 'banner-blocks-1':

                    $ed_banner_blocks_1 = isset( $newswrap_home_section->section_ed ) ? $newswrap_home_section->section_ed : '';
                    if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                        newswrap_banner_block_1_section( $newswrap_home_section , $repeat_times);
                    }

                break;

                case 'advertise-blocks':

                    $ed_advertise_blocks = isset( $newswrap_home_section->section_ed ) ? $newswrap_home_section->section_ed : '';
                    if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                        newswrap_advertise_block( $newswrap_home_section , $repeat_times);
                    }
                    
                break;

                case 'home-widget-area':

                    $ed_home_widget_area = isset( $newswrap_home_section->section_ed ) ? $newswrap_home_section->section_ed : '';
                    if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                        newswrap_case_home_widget_area_block( $newswrap_home_section , $repeat_times);
                    }
                    
                break;

                case 'you-may-like-blocks':

                    $ed_you_may_like_area = isset( $newswrap_home_section->section_ed ) ? $newswrap_home_section->section_ed : '';
                    if ( $ed_you_may_like_area == 'yes' && $paged_active ) {
                        newswrap_you_may_like_block_section( $newswrap_home_section , $repeat_times);
                    }
                    
                break;

                default:

                break;

            }

        $repeat_times++;
        } 
        ?>

    <?php
    }

get_footer();
